@import "fonts"
@import "libs"
@import "vars"
@import "_mixins/animations"

//Components
@import "header"
@import "users"
@import "messages"


*
  box-sizing: border-box
  &:before, &:after
    box-sizing: border-box

body input:focus:required:invalid,
body textarea:focus:required:invalid
  color: #666

body input:required:valid,
body textarea:required:valid
  color: #666

html, body
  height: 100%

body
  font-size: 14px
  min-width: 320px
  position: relative
  line-height: 1.65
  font-family: $default-font
  overflow-x: hidden
  background-color: $bgColor

.logo
  height: 60px
  &__image
    height: 100%

.btn
  &:focus
    outline: none

.btn_animated
  transition: all 0.4s ease-in
  position: relative
  &:before
    content: ''
    background-color: $syberryRed
    border-radius: 50%
    display: block
    position: absolute
    top: 0
    right: 0
    bottom: 0
    left: 0
    transform: scale(0.001, 0.001)
  &:focus
    outline: 0
    &:before
      animation: press-btn 0.5s ease-out

.typing-indicator
  display: table
  padding: 8px 0
  span
    height: 7px
    width: 7px
    float: left
    margin: 0 3px
    background-color: #959595
    display: block
    border-radius: 50%
    opacity: .4
    @for $i from 1 through 3
      &:nth-of-type(#{$i})
        animation: 1s blink infinite ($i * .3333s)

.link
  color: lighten($syberryRed, 30%)
  &:hover, &:active, &:focus
    color: $syberryRed

.img-responsive
  display: block
  max-width: 100%
  height: auto

.text-center
  text-align: center

.ul_reset
  margin: 0
  padding: 0
  list-style: none

.form-control
  border: none
  padding: 0.8em 1em
  width: 100%
  &:focus
    outline: none

  & + .form-control
    margin-top: 1em

.page-container
  max-width: 960px
  margin: 0 auto
  background: rgba(250,66,100,1)
  background: linear-gradient(45deg, #fa4264 0%, #cc0025 100%)
  background-repeat: no-repeat
  background-size: 100% 100%

::selection
  background-color: $syberryRed
  color: #fff

.flex-container
  display: flex

.main-content
  margin-top: -$headerH
  padding-top: $headerH
  z-index: 1
  height: 100%

.userpic
  border-radius: 50%
  width: 100%
  height: 100%


@import "login"


@import "media"
// Всегда в конце
